import { ethers } from 'ethers';
import { Client } from '../index';

const GOERLI_ADDRESS = '0x9052261f2706d10641b5c410e9d16eeff58745be';
const RPC_URL = 'https://eth-goerli.g.alchemy.com/v2/gudez0Qh0zWC5DIkuXDA6lJ94TBgDE32';
const wallet = new ethers.Wallet('d39bab751c9c7f6da6cd7ca464dcdb931a65cd28b9d84c8e5ab694870fc75ffd');

const client = new Client(RPC_URL, GOERLI_ADDRESS, wallet);

describe('Testing Splendid client', () => {
  it('can create collection', async () => {
    await client.createCollection();
  });
});
